@echo off
:: ************************************************************************************
:: **   Laufwerksbuchstabennderung fuer Daemon-Tools                                **
:: **                                                                                **
:: ************************************************************************************
:: *                                                                                  *
:: *  Programmname: LW.bat                                                            *
:: *                                                                                  *
:: *  Beschreibung: Aendert nach dem Sysprepvorgang den automatisch zugewiesenen      *
:: *                Laufwerksbuchstaben D, E, F oder G des virtuellen Laufwerkes      *
:: *                zu "Z"                                                            *
:: *                                                                                  *
:: *  Version:      v.1.1                                                             *
:: *                                                                                  *
:: *  Datum:        2010-08-30                                                        *
:: *                                                                                  *
:: *  Author:       Erich Vonach                                                      *
:: *                IT-Regionalbetreuer Bludenz                                       *
:: *            							              *
:: ************************************************************************************

cls

:: ************************************************
:: *** ersten freien Laufwerksbuchstaben finden ***
:: ************************************************

:FINDLAUFWERK
set LWBSTB=d:\ e:\ f:\ g:\
set LWM=

for %%i in ( %LWBSTB% ) do (
	for /f %%j in ( '@Dir %%i ^2^>^&^1 ^|findstr /X /C:"Das System kann den angegebenen Pfad nicht finden."' ) do (
		 if defined LWM (goto :FOUND) else (set LWM=%%i) )
)

if %LWM%!==! goto NOFREELW

:Found
cls
echo.
echo erstes freies Laufwerk = %LWM%

:: ************************************************
:: ***        Laufwerksbuchstaben aendern       ***
:: ************************************************
:Change
if "%LWM%"=="d:\" goto LWD
if "%LWM%"=="e:\" goto LWE
if "%LWM%"=="f:\" goto LWF
if "%LWM%"=="g:\" goto LWG
if "%LWM%"=="h:\" goto LWH

:LWE
rem erster FREIER Laufwerksbuchstabe ist "E": LW "D" wird zu LW "Z"
\\server\Softwareverteilung\AutoInst_DaemonTools_Treiber\runasspc /cryptfile:\\server\Softwareverteilung\AutoInst_DaemonTools_Treiber\LWE.spc /quiet

:LWF
rem erster FREIER Laufwerksbuchstabe ist "F": LW "E" wird zu LW "Z"
\\server\Softwareverteilung\AutoInst_DaemonTools_Treiber\runasspc /cryptfile:\\server\Softwareverteilung\AutoInst_DaemonTools_Treiber\LWF.spc /quiet

:LWG
rem erster FREIER Laufwerksbuchstabe ist "G": LW "F" wird zu LW "Z"
\\server\Softwareverteilung\AutoInst_DaemonTools_Treiber\runasspc /cryptfile:\\server\Softwareverteilung\AutoInst_DaemonTools_Treiber\LWG.spc /quiet

:LWH
rem erster FREIER Laufwerksbuchstabe ist "H": LW "G" wird zu LW "Z"
\\server\Softwareverteilung\AutoInst_DaemonTools_Treiber\runasspc /cryptfile:\\server\Softwareverteilung\AutoInst_DaemonTools_Treiber\LWH.spc /quiet

:: ************************************************
:: ***                Fehlermeldung             ***
:: ************************************************
:NOFREELW
@echo Kein Laufwerksbuchstabe mehr frei
pause
goto EXIT

:EXIT