@echo off
:: ************************************************************************************
:: **   letzten Laufwerksbuchstaben ermitteln                                        **
:: **                                                                                **
:: ************************************************************************************
:: *                                                                                  *
:: *  Programmname: Lastdrive.bat                                                     *
:: *                                                                                  *
:: *  Beschreibung: ermittelt den letzten Laufwerksbuchstaben                         *
:: *                Ist dieser nicht "Z", so wird der Laufwerksbuchstabe des          *
:: *                virtuellen Laufwerks zu "Z"                                       *
:: *                                                                                  *
:: *  Version:      v.1.1                                                             *
:: *                                                                                  *
:: *  Datum:        2010-08-31                                                       *
:: *                                                                                  *
:: *  Author:       Erich Vonach                                                      *
:: *                IT-Regionalbetreuer Bludenz                                       *
:: *            							              *
:: ************************************************************************************

cls
::
:: ************************************************
:: * Aufruf von Daemon-Tools                      *
:: ************************************************

"C:\Program Files\Daemon Tools Lite\DTLite.exe"

:: ************************************************
:: *** letzten Laufwerksbuchstaben auswerten    ***
:: ************************************************

:FINDLAUFWERK
set LWBSTB=z:\
set LWM=

for %%i in ( %LWBSTB% ) do (
	for /f %%j in ( '@Dir %%i ^2^>^&^1 ^|findstr /X /C:"Das System kann den angegebenen Pfad nicht finden."' ) do (
		 if defined LWM (goto :FOUND) else (set LWM=%%i) )
)

if %LWM%!==! goto EXIT

:Found
cls
echo.
echo erstes freies Laufwerk = %LWM%

:: ************************************************
:: ***        Laufwerksbuchstaben aendern       ***
:: ************************************************
:Change
echo change
if "%LWM%"=="z:\" "\\server\Softwareverteilung\AutoInst_DaemonTools_Treiber\Laufwerk.bat" else goto EXIT

:EXIT